Last Comment Bug 588794 - Conditional jump or move depends on uninitialised value(s) [@ CSSLoaderImpl::ParseSheet]
: Conditional jump or move depends on uninitialised value(s) [@ CSSLoaderImpl::...
Status: RESOLVED FIXED
[qa-examined-192] [qa-examined-191]
: regression, valgrind
Product: Core
Classification: Components
Component: CSS Parsing and Computation (show other bugs)
: 1.9.2 Branch
: All All
: -- normal (vote)
: ---
Assigned To: Mats Palmgren (:mats)
:
Mentors:
Depends on:
Blocks: CVE-2010-0654
  Show dependency treegraph
 
Reported: 2010-08-19 09:16 PDT by Mats Palmgren (:mats)
Modified: 2010-09-22 02:59 PDT (History)
5 users (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
Has Regression Range: ---
Has STR: ---
unaffected
-
.11-fixed
-
.14-fixed


Attachments
Valgrind message (4.00 KB, text/plain)
2010-08-19 09:16 PDT, Mats Palmgren (:mats)
no flags Details
fix (1.79 KB, patch)
2010-08-19 09:19 PDT, Mats Palmgren (:mats)
dbaron: review+
dveditz: approval1.9.2.11+
dveditz: approval1.9.1.14+
Details | Diff | Splinter Review

Description Mats Palmgren (:mats) 2010-08-19 09:16:12 PDT
Created attachment 467431 [details]
Valgrind message

Conditional jump or move depends on uninitialised value(s) [@ CSSLoaderImpl::ParseSheet]

Affects 1.9.2 and 1.9.1, not trunk
Comment 1 Mats Palmgren (:mats) 2010-08-19 09:19:31 PDT
Created attachment 467432 [details] [diff] [review]
fix

The typo fix is to make -DDEBUG_TRACEMALLOC_PRESARENA compile.
Comment 2 David Baron :dbaron: ⌚️UTC-7 (review requests must explain patch) 2010-08-19 09:28:51 PDT
Comment on attachment 467432 [details] [diff] [review]
fix

r=dbaron
Comment 3 David Baron :dbaron: ⌚️UTC-7 (review requests must explain patch) 2010-08-19 09:30:30 PDT
This seems like something that could break any chrome style sheets that have a syntax error in the first rule, which could be a problem for some extensions.  Seems like something we should get in to the branch soon.

It's a regression from bug 524223.
Comment 4 christian 2010-08-20 10:24:20 PDT
This would not block a release, but we would like to fix it as it is a regression. Feel free to nominate for for 3.6.10 and 3.5.13 when it is ready.
Comment 5 Daniel Veditz [:dveditz] 2010-08-27 10:58:09 PDT
Comment on attachment 467432 [details] [diff] [review]
fix

Approved for 1.9.2.10 and 1.9.1.13, a=dveditz for release-drivers
Comment 7 Al Billings [:abillings] 2010-09-21 16:49:09 PDT
Is there anything for QA to do to verify this on branch?
Comment 8 Mats Palmgren (:mats) 2010-09-22 02:59:38 PDT
(In reply to comment #7)
> Is there anything for QA to do to verify this on branch?

Probably not, you need a special build (ac_add_options --enable-valgrind)
and then run unit tests under valgrind to see the reported error.

Maybe it's possible to make a testcase based on comment 3, I don't know.

Note You need to log in before you can comment on or make changes to this bug.